import request from '@/utils/request'

// 积分兑换商品
export function pointsExchange(params) {
    return request({
        url: '/bbs/points/exchange/select/goods',
        method: 'get',
        params
    })
}

// 兑换人选择
export function exchangeUser(params) {
    return request({
        url: '/bbs/points/exchange/select/users',
        method: 'get',
        params
    })
}
// 兑换商品选择
export function exchangeGoods(params){
    return request({
        url: '/bbs/points/exchange/select/goods',
        method: 'get',
        params
    })
}

// 兑换列表
export function listData(params) {
    return request({
        url: '/bbs/points/exchange/list',
        method: 'get',
        params
    })
}
// 兑换商品
export function exchange(data){
    return request({
        url:'/bbs/points/exchange/exchange',
        method:'post',
        data
    })
}

// 批量兑换
export function batchExchange(data){
    return request({
        url:'/bbs/points/exchange/batch/exchange',
        method:'post',
        data
    })
}
